Bug 887622 - Installing : kernel-3.6.10-2.fc17.i686 .. grubby fatal error: unable to find a suitable template
Installing : kernel-3.6.10-2.fc17.i686 .. grubby fatal error: unable to find ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
17
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-16 15:10 EST by rmknox
Modified: 2013-08-01 05:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:06:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rmknox 2012-12-16 15:10:42 EST
User-Agent:       Mozilla/5.0 (X11; Linux i686) AppleWebKit/537.11 (KHTML, like Gecko) Chrome/23.0.1271.97 Safari/537.11
Build Identifier: 

I did my daily sudo yum update and it reported a fatal error processing the kernel update when in fact there was no fatal error.
In fact the install went fine.
/boot/grub2/grub.cfg looks fine - has proper new entry for 3.6.10
system boots correctly to new kernel

I note an interesting fact
I had edited the /boot/grub2/grub.cfg file to exclude quiet and rhgb for the prior kernel.
I see that the new entry also excludes quiet and rhgb - whereas I believe the template includes them.

Maybe grubby is telling us that it noted the difference and decided to use my version?

In any case - its error message is misleading - because as best I can tell there was not a fatal error.

I am reporting this merely because I observed it, and assume you want us users to tell you of strange things they see.


Reproducible: Always

Steps to Reproduce:
1.yum update
2.
3.
Actual Results:  
"fatal error" - whereas no fatal error
Comment 1 Fedora End Of Life 2013-07-03 22:40:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 05:06:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.